"use client";

import { useEffect, useState } from "react";

import List from "./list";
import SearchBar from "./head/SearchBar";
import HeadPageList from "@/app/component/head";

function ClinicsPage() {
  const [loading, setLoading] = useState(true);

  useEffect(() => {
    setTimeout(() => {
      setLoading(false);
    }, 2000);
  }, []);

  return (
    <div>
      <HeadPageList
        title="لیست کلینیک ها و درمانگاه های تخصصی"
        detail="در قسمت زیر می توانید کلینیک مورد نظر خود را جستجو نمایید"
      >
        <SearchBar />
      </HeadPageList>
      <List loading={loading} />
    </div>
  );
}

export default ClinicsPage;
